"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const TextBold = _ref => {
  let {
    text,
    numberOfLines,
    size = 14,
    color,
    lineHeight = size * 1.5,
    style,
    testID = ''
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.boldText, {
      fontSize: size,
      color: color,
      lineHeight: lineHeight
    }, style],
    ellipsizeMode: "tail",
    numberOfLines: numberOfLines,
    accessible: true,
    accessibilityLabel: testID,
    testID: testID
  }, text);
};
var _default = exports.default = TextBold;
const styles = _reactNative.StyleSheet.create({
  extraBoldText: {
    fontWeight: 'bold',
    color: '#000'
  },
  boldText: {
    fontWeight: '800',
    color: '#000'
  },
  semiBoldText: {
    fontWeight: '600',
    color: '#000'
  },
  mediumText: {
    fontWeight: '400',
    color: '#000'
  },
  regularText: {
    fontWeight: 'normal',
    color: '#000'
  },
  lightText: {
    fontWeight: '200',
    color: '#000'
  }
});
//# sourceMappingURL=TextBold.js.map