"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Touchable = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @property {JSX.Element} children custom view for child
 * @property {() => void} onPress will be invoke when click component
 * @property {boolean} disabled disabled button or not
 * @property {object} style custome style for component
 * @property {string} testID test id for automation test
 */

const Touchable = _ref => {
  let {
    children,
    onPress,
    disabled,
    style,
    testID
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    accessible: true,
    accessibilityLabel: testID,
    testID: testID,
    style: style,
    activeOpacity: 0.8,
    onPress: onPress,
    disabled: disabled
  }, children);
};
exports.Touchable = Touchable;
//# sourceMappingURL=Touchable.js.map