import React, { forwardRef, useImperativeHandle, useState } from 'react';
import { Modal, StyleSheet, View } from 'react-native';
const ModalCenter = /*#__PURE__*/forwardRef((props, ref) => {
  const [isVisible, setIsVisible] = useState(false);
  useImperativeHandle(ref, () => {
    return {
      show: () => setIsVisible(true),
      hide: () => setIsVisible(false)
    };
  });
  return /*#__PURE__*/React.createElement(Modal, {
    transparent: true,
    visible: isVisible,
    animationType: "slide"
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.content
  }, props.children)));
});
const styles = StyleSheet.create({
  content: {
    width: '90%',
    backgroundColor: '#fff',
    borderRadius: 6
  },
  container: {
    flex: 1,
    backgroundColor: 'rgba(0,0,0,0.4)',
    justifyContent: 'center',
    alignItems: 'center'
  }
});
export default ModalCenter;
//# sourceMappingURL=ModalCenter.js.map