import React, { forwardRef, useImperativeHandle, useState } from 'react';
import { Modal, StyleSheet, View } from 'react-native';
const ModalFull = /*#__PURE__*/forwardRef((props, ref) => {
  const [isVisible, setIsVisible] = useState(false);
  useImperativeHandle(ref, () => {
    return {
      show: () => setIsVisible(true),
      hide: () => setIsVisible(false)
    };
  });
  return /*#__PURE__*/React.createElement(Modal, {
    transparent: true,
    visible: isVisible,
    animationType: "slide"
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, props.children));
});
const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff'
  }
});
export default ModalFull;
//# sourceMappingURL=ModalFull.js.map