import React from 'react';
import { StyleSheet, Text } from 'react-native';
const TextMedium = _ref => {
  let {
    text,
    numberOfLines,
    size = 14,
    color,
    lineHeight = size * 1.5,
    style,
    testID = ''
  } = _ref;
  return /*#__PURE__*/React.createElement(Text, {
    style: [styles.mediumText, {
      fontSize: size,
      color: color,
      lineHeight: lineHeight
    }, style],
    ellipsizeMode: "tail",
    numberOfLines: numberOfLines,
    accessible: true,
    accessibilityLabel: testID,
    testID: testID
  }, text);
};
export default TextMedium;
const styles = StyleSheet.create({
  extraBoldText: {
    fontWeight: 'bold',
    color: '#000'
  },
  boldText: {
    fontWeight: '800',
    color: '#000'
  },
  semiBoldText: {
    fontWeight: '600',
    color: '#000'
  },
  mediumText: {
    fontWeight: '400',
    color: '#000'
  },
  regularText: {
    fontWeight: 'normal',
    color: '#000'
  },
  lightText: {
    fontWeight: '200',
    color: '#000'
  }
});
//# sourceMappingURL=TextMedium.js.map