/// <reference types="react" />
/**
 * @typedef {Object} Props
 * @property {JSX.Element} children custom view children
 * @property {() => void} onPress will be invoke when click
 * @property {import('react-native').ViewStyle} textStyle Custom style for content
 * @property {string} testID testID for each component
 * @property {boolean} disabled props for active or disable button
 * @property {string} isUseBackground effect style when button is clicked
 * @property {string} rippleColor effect style color when button is clicked
 * @property {object} hitSlop handle area clicked button
 * @property {string} textColor style color text
 * @property {string} textButton text for button
 * @property {string} icon source for icon button
 * @property {number} iconSize size of icon button
 * @property {number} textSize size of text button
 */
interface props {
    textColor: string;
    textButton: string;
    backgroundColor: string;
    style: object;
    onPress: () => void;
    testID: string;
    disabled: boolean;
    icon: any;
    iconSize: number;
    textSize: number;
    textStyle: object;
    typeText: string;
    borderColor: string;
}
export declare function FieldButton({ textColor, textButton, backgroundColor, style, onPress, testID, disabled, icon, iconSize, textSize, textStyle, typeText, }: props): JSX.Element;
export declare function OutlineButton({ textColor, textButton, backgroundColor, borderColor, style, onPress, testID, icon, textStyle, iconSize, disabled, typeText, textSize, }: props): JSX.Element;
export {};
//# sourceMappingURL=Button.d.ts.map