/// <reference types="react" />
/**
 * @property {string} text text to display
 * @property {number} numberOfLines display text with how many lines
 * @property {object} onTextLayout object is returned in the callback as a result of a component layout change
 * @property {number} size size of text
 * @property {string} color color of text
 * @property {number} lineHeight space for text
 * @property {import('react-native').ViewStyle} style style for text
 * @property {string} testID testID for each component
 */
interface props {
    text: string;
    numberOfLines?: number;
    size: number | 14;
    color: string;
    lineHeight?: number;
    style: any;
    testID?: string | '';
    onTextLayout?: any;
    fontFamily?: string;
}
export declare const TextRegular: ({ text, numberOfLines, onTextLayout, size, color, lineHeight, style, testID, }: props) => JSX.Element;
export declare const TextMedium: ({ text, numberOfLines, size, color, lineHeight, style, testID, }: props) => JSX.Element;
export declare const TextSemiBold: ({ text, numberOfLines, size, color, lineHeight, style, testID, }: props) => JSX.Element;
export declare const TextBold: ({ text, numberOfLines, size, color, lineHeight, style, testID, }: props) => JSX.Element;
export declare const TextExtraBold: ({ text, numberOfLines, size, color, lineHeight, style, testID, }: props) => JSX.Element;
export declare const TextLight: ({ text, numberOfLines, size, color, lineHeight, style, testID, }: props) => JSX.Element;
export declare const CustomText: ({ text, numberOfLines, size, color, lineHeight, style, fontFamily, testID, }: props) => JSX.Element;
export {};
//# sourceMappingURL=Text.d.ts.map