import React, { forwardRef, useImperativeHandle, useState } from 'react';
import { Modal, StyleSheet, View } from 'react-native';

const ModalFull = forwardRef((props, ref) => {
  const [isVisible, setIsVisible] = useState(false);
  useImperativeHandle(ref, () => {
    return {
      show: () => setIsVisible(true),
      hide: () => setIsVisible(false),
    };
  });
  return (
    <Modal transparent visible={isVisible} animationType="slide">
      <View style={styles.container}>{props.children}</View>
    </Modal>
  );
});

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
  },
});

export default ModalFull;
