import React from 'react';
import { StyleSheet, Text } from 'react-native';

interface props {
  text: string;
  numberOfLines?: number;
  size: number | 14;
  color: string;
  lineHeight?: number;
  style?: any;
  testID?: string | '';
}

const TextBold = ({
  text,
  numberOfLines,
  size = 14,
  color,
  lineHeight = size * 1.5,
  style,
  testID = '',
}: props) => {
  return (
    <Text
      style={[
        styles.boldText,
        { fontSize: size, color: color, lineHeight: lineHeight },
        style,
      ]}
      ellipsizeMode="tail"
      numberOfLines={numberOfLines}
      accessible={true}
      accessibilityLabel={testID}
      testID={testID}
    >
      {text}
    </Text>
  );
};

export default TextBold;

const styles = StyleSheet.create({
  extraBoldText: {
    fontWeight: 'bold',
    color: '#000',
  },
  boldText: {
    fontWeight: '800',
    color: '#000',
  },
  semiBoldText: {
    fontWeight: '600',
    color: '#000',
  },
  mediumText: {
    fontWeight: '400',
    color: '#000',
  },
  regularText: {
    fontWeight: 'normal',
    color: '#000',
  },
  lightText: {
    fontWeight: '200',
    color: '#000',
  },
});
